# Interface UnresolvedComponentResult

All Superinterfaces:
  `ComponentResult`

@Incubating public interface UnresolvedComponentResult extends ComponentResult
A component that could not be resolved.

Since:
  2.0

## Method Summary

Modifier and Type
Method
Description
`Throwable`
`getFailure()`
Returns the failure that occurred when trying to resolve the component.

### Methods inherited from interface ComponentResult

`getId`

## Method Details

### getFailure

Throwable getFailure()
Returns the failure that occurred when trying to resolve the component.